> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tin Verification

> Retrieve a TIN Verification Request by ID.



## OpenAPI

````yaml /api-reference/openapi.json get /tin_verifications/{id}
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /tin_verifications/{id}:
    get:
      tags:
        - TIN Verification
      summary: Get Tin Verification
      description: Retrieve a TIN Verification Request by ID.
      operationId: get_tin_verification_tin_verifications__id__get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: TIN Verification ID
            description: The unique identifier of the TIN verification request to retrieve.
            examples:
              - 412a49b5-7466-426b-bf1e-081b00b54576
              - 9d5a286e-a6d6-4d6c-a38e-8b7ea50accd5
          description: The unique identifier of the TIN verification request to retrieve.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1.TINVerificationResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    v1.TINVerificationResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: The unique identifier of the TIN verification request.
          examples:
            - f5067592-dbb8-4405-a557-6d5056514cae
        state:
          $ref: '#/components/schemas/TaskState'
          description: The status of the TIN verification request.
          examples:
            - COMPLETED
        name:
          type: string
          title: Name
          description: The name inputted in the search.
          examples:
            - Acme Corporation
        tin:
          type: string
          maxLength: 9
          minLength: 9
          title: Tin
          description: The TIN inputted in the search.
          examples:
            - '123456789'
        address:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Address
          description: The address inputted in the search.
          examples:
            - 123 Main St, Anytown, USA
        tin_matched:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Tin Matched
          description: Indicates whether the inputted TIN/EIN was a match, per the IRS.
          examples:
            - true
        warnings:
          items:
            type: string
          type: array
          title: Warnings
          description: Any warnings that occurred.
          default: []
          examples:
            - - IRS Validation is unavailable.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the TIN verification request was created.
          examples:
            - '2026-08-31T10:31:07.816900'
        tin_match_type:
          anyOf:
            - $ref: '#/components/schemas/IRSTINMatchType'
            - type: 'null'
          description: The type of match that occurred.
          examples:
            - SSN
      type: object
      required:
        - id
        - state
        - name
        - tin
        - created_at
      title: TINVerificationResponse (v1)
      description: |-
        Response model for TIN verification data.

        This model defines the structure for TIN verification API responses.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TaskState:
      enum:
        - PENDING
        - EXECUTING
        - COMPLETED
        - FAILED
        - CANCELLED
      title: TaskState
      type: string
    IRSTINMatchType:
      enum:
        - SSN
        - EIN
        - UNKNOWN
      title: IRSTINMatchType
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````